import qbs;

Project {
    name: "Qt QML Models"
    property string libDir: "lib"

    Product {
        name: "qtqmlmodels";
        type: "dynamiclibrary";
        targetName: "QtQmlModels";
        version: "0.0"

        Export {
            cpp.includePaths: ".";

            Depends { name: "cpp"; }
            Depends {
                name: "Qt";
                submodules: ["core", "qml"];
            }
        }
        Depends { name: "cpp"; }
        Depends {
            name: "Qt";
                submodules: ["core", "qml"];
        }
        Group {
            name: "C++ template sources";
            fileTags: ["txt"]
            files: [
                "QQmlObjectListModel.cpp",
                "QQmlVariantListModel.cpp",
                "QQmlGadgetListModel.cpp"
            ]
        }
        Group {
            name: "C++ headers";
            files: [
                "QQmlObjectListModel.h",
                "QQmlVariantListModel.h",
                "QQmlGadgetListModel.h",
                "QtQmlTricksPlugin_SmartDataModels.h",
            ]
        }
        Group {
            qbs.install: true;
            fileTagsFilter: [ "dynamiclibrary", "dynamiclibrary_symlink" ] ;
            qbs.installDir: project.libDir
        }
        Properties {
            condition: qbs.targetOS.contains("linux")
	    cpp.soVersion: "0"
            cpp.useRPaths: false
        }
    }
}